Bug 199338 - [devel/py-jsonpatch][patch] Update to 1.9, add py-jsonpointer dependency
Summary: [devel/py-jsonpatch][patch] Update to 1.9, add py-jsonpointer dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bartek Rutkowski
URL:
Keywords: patch
Depends on: 201158
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-10 01:17 UTC by Marcin Cieślak
Modified: 2015-07-17 16:48 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (harm)


Attachments
Add dependency (604 bytes, patch)
2015-04-10 01:17 UTC, Marcin Cieślak
no flags Details | Diff
Update py-jsonpatch to 1.9 (604 bytes, patch)
2015-04-10 02:12 UTC, Marcin Cieślak
no flags Details | Diff
Update py-jsonpatch to 1.9, for real (1.33 KB, patch)
2015-04-10 02:20 UTC, Marcin Cieślak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Cieślak 2015-04-10 01:17:08 UTC
Created attachment 155399 [details]
Add dependency

The port installs fine in poudriere, but it's not working at all, unless py-jsonpointer is already installed.


root@m:/usr/ports/devel/py-jsonpatch # python2.7
Python 2.7.9 (default, Mar 30 2015, 23:18:05) 
[GCC 4.2.1 Compatible FreeBSD Clang 3.4.1 (tags/RELEASE_34/dot1-final 208032)] on freebsd10
Type "help", "copyright", "credits" or "license" for more information.
>>> import jsonpatch
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/local/lib/python2.7/site-packages/jsonpatch.py", line 45, in <module>
    from jsonpointer import JsonPointer, JsonPointerException
ImportError: No module named jsonpointer
>>>
Comment 1 Marcin Cieślak 2015-04-10 02:12:51 UTC
Created attachment 155403 [details]
Update py-jsonpatch to 1.9

Add dependency (also missing in 1.7!), but instead of bumping PORTREVISON just update the port.
Comment 2 Marcin Cieślak 2015-04-10 02:20:53 UTC
Created attachment 155404 [details]
Update py-jsonpatch to 1.9, for real

- update to 1.9
- add missing dependency
- add tests
Comment 3 Marcin Cieślak 2015-04-10 03:45:25 UTC
eh, jsonpatch 1.9 needs jsonpointer>=1.5 while we are having jsonpointer 1.4 :(
Comment 4 commit-hook freebsd_committer 2015-07-17 10:17:45 UTC
A commit references this bug:

Author: robak
Date: Fri Jul 17 10:17:28 UTC 2015
New revision: 392342
URL: https://svnweb.freebsd.org/changeset/ports/392342

Log:
  devel/py-jsonpatch: update 1.7 -> 1.9

  - Add missing py-jsonpointer dependency
  - Add tests

  PR:		199338
  Submitted by:	Marcin Cieslak <saper@saper.info>
  Approved by:	maintainer timeout (3 months)
  MFH:		2015Q3

Changes:
  head/devel/py-jsonpatch/Makefile
  head/devel/py-jsonpatch/distinfo
Comment 5 Bartek Rutkowski freebsd_committer 2015-07-17 10:20:48 UTC
Committed, thanks for your work!
Comment 6 commit-hook freebsd_committer 2015-07-17 16:47:39 UTC
A commit references this bug:

Author: robak
Date: Fri Jul 17 16:46:57 UTC 2015
New revision: 392385
URL: https://svnweb.freebsd.org/changeset/ports/392385

Log:
  MFH: r392342

  devel/py-jsonpatch: update 1.7 -> 1.9

  - Add missing py-jsonpointer dependency
  - Add tests

  PR:		199338
  Submitted by:	Marcin Cieslak <saper@saper.info>
  Approved by:	ports-secteam, maintainer timeout (3 months)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/devel/py-jsonpatch/Makefile
  branches/2015Q3/devel/py-jsonpatch/distinfo